using SoapEndpoint.Service.Flows.Waarborgfonds.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.Waarborgfonds;

namespace SoapEndpoint.Tester.Scenario.Implementations.Waarborgfonds;

public class AanvraagOvernameScenario : WaarborgfondsScenarioBase
{
    public override string Name => "Aanvraag Overname";

    protected override async Task ExecuteAsync()
    {
        foreach (var seReplyMessageType in SeReplyMessageTypes)
        {
            StartNewScenario($"{seReplyMessageType}");
            await Manager.SHV_FlowAsync(Conversation, null,
                new ShvFlowItem(BerichtType.SHV_AanvraagOvername, seReplyMessageType));
        }
    }
}