﻿namespace SoapEndpoint.Service.Proxy.Models.Systeem;

public class ShvKnooppuntBerichtBevestigingModel
{
    public List<ShvKnooppuntFoutModel> Fouten { get; set; }

    public static ShvKnooppuntBerichtBevestigingModel ErrorResult => new()
    {
        Success = false
    };

    public bool Success { get; set; }

    public IList<string> Errors => Fouten.Select(e => e.Naam.ToString()).ToList();
    public IList<int> ErrorCodes => Fouten.Select(e => e.Code).ToList();
}