﻿using System.CodeDom.Compiler;
using System.Runtime.Serialization;

namespace SoapEndpoint.Service.Proxy.ServiceProxies.Systeem.v2.ErrorMessage;

[GeneratedCode("System.Runtime.Serialization", "4.0.0.0")]
[DataContract(Name = "ShvKnooppuntFoutcode", Namespace = "http://www.schuldenknooppunt.nl/systeem/v2")]
public enum ShvKnooppuntFoutcode
{
    [EnumMember(Value = "Berichtbody is niet conform schema")]
    Berichtbodyisnietconformschema = 1,

    [EnumMember(Value = "Berichtheader is niet conform schema")]
    Berichtheaderisnietconformschema = 2,

    [EnumMember(Value = "Onbekende afzender")]
    Onbekendeafzender = 3,

    [EnumMember(Value = "Onbekende ontvanger")]
    Onbekendeontvanger = 4,

    [EnumMember(Value = "Referentienummer niet uniek")]
    Referentienummernietuniek = 5,

    [EnumMember(Value = "CrossReferentienummer ontbreekt")]
    CrossReferentienummerontbreekt = 6,

    [EnumMember(Value = "CrossReferentienummer incorrect")]
    CrossReferentienummerincorrect = 7,

    [EnumMember(Value = "CrossReferentienummer verwijst naar bericht uit verkeerde conversatie")]
    CrossReferentienummerverwijstnaarberichtuitverkeerdeconversatie = 8,

    [EnumMember(Value = "CrossReferentienummer niet toegestaan")]
    CrossReferentienummerniettoegestaan = 9,

    [EnumMember(Value = "Onbekend bericht type")]
    Onbekendberichttype = 10,

    [EnumMember(Value = "Bericht type mag geen nieuwe conversatie starten")]
    Berichttypemaggeennieuweconversatiestarten = 11,

    [EnumMember(Value = "Afzender en ontvanger gelijk")]
    Afzenderenontvangergelijk = 12,

    [EnumMember(Value = "Reactie op eigen bericht")]
    Reactieopeigenbericht = 13,

    [EnumMember(Value = "Incorrect bericht type voor het crossReferentienummer")]
    IncorrectberichttypevoorhetcrossReferentienummer = 14,

    [EnumMember(Value = "Berichttype niet toegestaan voor organisatietype")]
    Berichttypeniettoegestaanvoororganisatietype = 15,

    [EnumMember(Value = "Onbekende conversatie")]
    Onbekendeconversatie = 16,

    [EnumMember(Value = "Afzender geblokkeerd")]
    Afzendergeblokkeerd = 17,

    [EnumMember(Value = "Ontvanger geblokkeerd")]
    Ontvangergeblokkeerd = 18,

    [EnumMember(Value = "Incorrect berichttype voor sector van ontvanger")]
    Incorrectberichttypevoorsectorvanontvanger = 19,

    [EnumMember(Value = "Berichttype niet toegestaan voor de huidige staat van de conversatie")]
    Berichttypeniettoegestaanvoordehuidigestaatvandeconversatie = 20,

    [EnumMember(Value = "Berichttype niet toegestaan om te versturen met onbevestigde berichten van de ont" +
                        "vanger")]
    Berichttypeniettoegestaanomteversturenmetonbevestigdeberichtenvandeontvanger = 21,

    [EnumMember(Value = "Onbekende versie")]
    Onbekendeversie = 22,

    [EnumMember(Value = "Versie niet ondersteund door service")]
    Versienietondersteunddoorservice = 23,

    [EnumMember(Value = "Versie niet ondersteund door ontvanger")]
    Versienietondersteunddoorontvanger = 24,

    [EnumMember(Value = "Versie kan niet meer gebruikt worden om nieuwe conversaties mee te starten")]
    Versiekannietmeergebruiktwordenomnieuweconversatiesmeetestarten = 25,

    [EnumMember(Value = "Versie is verlopen en kan niet meer gebruikt worden")]
    Versieisverlopenenkannietmeergebruiktworden = 26,

    [EnumMember(Value = "Versie kan niet gebruikt worden om de conversatie te hervatten")]
    Versiekannietgebruiktwordenomdeconversatietehervatten = 27,

    [EnumMember(Value = "Standaard akkoord met BVA is niet toegestaan omdat SHV geen NVVK lid is")]
    StandaardakkoordmetBVAisniettoegestaanomdatSHVgeenNVVKlidis = 28,

    [EnumMember(Value = "Standaard akkoord is niet toegestaan omdat collectief schuldregelen niet voor bei" +
                        "de organisatie is ingeschakeld")]
    Standaardakkoordisniettoegestaanomdatcollectiefschuldregelennietvoorbeideorganisatieisingeschakeld = 29,

    [EnumMember(Value = "Er is al eerder op het bericht geantwoord")]
    Erisaleerderophetberichtgeantwoord = 30,

    [EnumMember(Value = "Flow niet ondersteund door ontvanger")]
    Flownietondersteunddoorontvanger = 31,

    [EnumMember(Value = "Flow versie niet ondersteund door ontvanger")]
    Flowversienietondersteunddoorontvanger = 32,

    [EnumMember(Value = "Flow niet ondersteund door afzender")]
    Flownietondersteunddoorafzender = 33,

    [EnumMember(Value = "Flow versie niet ondersteund door afzender")]
    Flowversienietondersteunddoorafzender = 34,

    [EnumMember(Value = "Bijlage niet ondersteund door afzender")]
    Bijlagenietondersteunddoorafzender = 35,

    [EnumMember(Value = "Bijlage niet ondersteund voor flow type")]
    Bijlagenietondersteundvoorflowtype = 36,

    [EnumMember(Value = "Bijlage niet ondersteund voor bericht type")]
    Bijlagenietondersteundvoorberichttype = 37,

    [EnumMember(Value = "Bijlage niet ondersteund door ontvanger")]
    Bijlagenietondersteunddoorontvanger = 38,

    [EnumMember(Value = "Bijlage verplicht voor bericht")]
    Bijlageverplichtvoorbericht = 39,

    [EnumMember(Value = "Bijlage niet in juiste formaat")]
    Bijlagenietinjuisteformaat = 40,

    [EnumMember(Value = "Bijlage data is invalide Base64")]
    BijlagedataisinvalideBase64 = 41,

    [EnumMember(Value = "Ontvanger niet in staat bericht te ontvangen")]
    Ontvangernietinstaatberichtteontvangen = 42,

    [EnumMember(Value = "Afzender niet in staat bericht te versturen")]
    Afzendernietinstaatberichtteversturen = 43,

    [EnumMember(Value = "Deze organisatie heeft er voor gekozen om op dit moment nog geen berichten van uw" +
                        " organisatie te ontvangen.")]
    Dezeorganisatieheeftervoorgekozenomopditmomentnoggeenberichtenvanuworganisatieteontvangen = 44,

    [EnumMember(Value = "Afzender en ontvanger mogen niet van hetzelfde organisatie type zijn.")]
    Afzenderenontvangermogennietvanhetzelfdeorganisatietypezijn = 45,

    [EnumMember(Value = "Bericht bevat teveel bijlages")]
    Berichtbevatteveelbijlages = 46,

    [EnumMember(Value = "Bericht vervallen omdat het is opgevolgd door een nieuw bericht")]
    Berichtvervallenomdathetisopgevolgddooreennieuwbericht = 47,

    [EnumMember(Value = "Bericht type niet toegestaan voor organisatie")]
    Berichttypeniettoegestaanvoororganisatie = 48,

    [EnumMember(Value = "Onbekende fout")] Onbekendefout = 100
}