﻿using SoapEndpoint.Service.Flows.Inventarisatie.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.Inventarisatie;

namespace SoapEndpoint.Tester.Scenario.Implementations.Inventarisatie;

public class HappyFlowScenario : InventarisatieScenarioBase
{
    public override string Name => "Happy flow scenario";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("Saldoverzoek beantwoord");
        await Manager.SHV_FlowAsync(Conversation, null,
            new ShvFlowItem(BerichtType.SHV_Saldoverzoek, BerichtType.SE_SaldoverzoekAntwoord));
    }
}