﻿using SoapEndpoint.Service.Flows.SbEnSk.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.SbEnSk;

namespace SoapEndpoint.Tester.Scenario.Implementations.SbEnSk;

public class ReminderScenario : SbEnSkScenarioBase
{
    public override string Name => "Reminder scenario";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("Scenario 1");

        var result = await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_Saldoverzoek));
        await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_ReminderBericht),
            result.RequestMessage);
    }
}