﻿using SoapEndpoint.Service.Proxy.Models.Systeem;
using AddressServiceV1 = SoapEndpoint.Service.Systeem.v1.AddressService;
using LogbookServiceV1 = SoapEndpoint.Service.Systeem.v1.LogbookService;

namespace SoapEndpoint.Service.Proxy.Infrastructure;

public static class MappingHelper
{
    public static OrganisatieType? MapAddressOrganisatieType(AddressServiceV1.OrganisatieType? type)
    {
        return type switch
        {
            AddressServiceV1.OrganisatieType.Schuldeiser => OrganisatieType.Schuldeiser,
            AddressServiceV1.OrganisatieType.Schuldhulpverlener => OrganisatieType.Schuldhulpverlener,
            AddressServiceV1.OrganisatieType.Bewindvoerder => OrganisatieType.Schuldeiser,
            _ => null
        };
    }

    public static OrganisatieType? MapLogbookOrganisatieType(LogbookServiceV1.OrganisatieType? type)
    {
        return type switch
        {
            LogbookServiceV1.OrganisatieType.Schuldeiser => OrganisatieType.Schuldeiser,
            LogbookServiceV1.OrganisatieType.Schuldhulpverlener => OrganisatieType.Schuldhulpverlener,
            LogbookServiceV1.OrganisatieType.Bewindvoerder => OrganisatieType.Schuldeiser,
            _ => null
        };
    }
}